Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire.version11

# Class V11Database

java.lang.Object
org.firebirdsql.gds.ng.AbstractFbAttachment<T>
org.firebirdsql.gds.ng.AbstractFbDatabase<WireDatabaseConnection>
org.firebirdsql.gds.ng.wire.AbstractFbWireDatabase
org.firebirdsql.gds.ng.wire.version10.V10Database
org.firebirdsql.gds.ng.wire.version11.V11Database

All Implemented Interfaces:
  `AutoCloseable`, `FbAttachment`, `FbDatabase`, `ExceptionListenable`, `TransactionListener`, `FbWireAttachment`, `FbWireDatabase`

Direct Known Subclasses:
  `V12Database`

public class V11Database extends V10Database
`FbWireDatabase` implementation for the version 11 wire protocol.

Since:
  3.0
Author:
  Mark Rotteveel

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.firebirdsql.gds.ng.wire.FbWireAttachment

`FbWireAttachment.AcceptPacket`

## Field Summary

### Fields inherited from class org.firebirdsql.gds.ng.wire.AbstractFbWireDatabase

`protocolDescriptor, wireOperations`

### Fields inherited from class org.firebirdsql.gds.ng.AbstractFbDatabase

`databaseListenerDispatcher`

### Fields inherited from class org.firebirdsql.gds.ng.AbstractFbAttachment

`connection, exceptionListenerDispatcher`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`V11Database(WireDatabaseConnection connection, ProtocolDescriptor descriptor)`
Creates a V11Database instance.

## Method Summary

Modifier and Type
Method
Description
`void`
`releaseObject(int operation, int objectId)`
Release object.

### Methods inherited from class org.firebirdsql.gds.ng.wire.version10.V10Database

`afterAttachActions, attach, attachOrCreate, authReceiveResponse, cancelOperation, createDatabase, createStatement, doReleaseObjectPacket, dropDatabase, executeImmediate, getBlrCalculator, getFilenameEncoding, initAsynchronousChannel, internalDetach, processAttachOrCreateResponse, processReleaseObjectResponse, reconnectTransaction, sendAttachOrCreateToBuffer, startTransaction, startTransaction`

### Methods inherited from class org.firebirdsql.gds.ng.wire.AbstractFbWireDatabase

`cancelEvent, checkAttached, checkConnected, closeConnection, completeDeferredActions, consumePackets, countEvents, createBlobForInput, createBlobForOutput, createEventHandle, enqueueDeferredAction, forceClose, getDatabaseInfo, getHandle, getInfo, getWireOperations, getXdrIn, getXdrOut, getXdrStreamAccess, isAttached, queueEvent, readGenericResponse, readResponse, readSqlResponse, setNetworkTimeout`

### Methods inherited from class org.firebirdsql.gds.ng.AbstractFbDatabase

`addDatabaseListener, addWeakDatabaseListener, close, createBlobParameterBuffer, createTransactionParameterBuffer, emptyRowDescriptor, getActiveTransactionCount, getConnectionDialect, getConnectionProperties, getDatabaseDialect, getDatabaseInfo, getDatabaseInformationProcessor, getDatabaseWarningCallback, getDescribeDatabaseInfoBlock, getOdsMajor, getOdsMinor, getOdsVersion, getParameterDescriptionInfoRequestItems, getStatementInfoRequestItems, getTransactionIdBuffer, removeDatabaseListener, setDatabaseDialect, setOdsMajor, setOdsMinor, transactionAdded, transactionStateChanged`

### Methods inherited from class org.firebirdsql.gds.ng.AbstractFbAttachment

`addExceptionListener, getDatatypeCoder, getEncoding, getEncodingFactory, getNetworkTimeout, getServerVersion, isLockedByCurrentThread, removeExceptionListener, safelyDetach, setAttached, setDetached, setServerVersion, withLock`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.firebirdsql.gds.ng.listeners.ExceptionListenable

`addExceptionListener, removeExceptionListener`

### Methods inherited from interface org.firebirdsql.gds.ng.FbAttachment

`close, forceClose, getDatatypeCoder, getEncoding, getEncodingFactory, getNetworkTimeout, getServerVersion, isAttached, isLockedByCurrentThread, setNetworkTimeout, withLock`

### Methods inherited from interface org.firebirdsql.gds.ng.FbDatabase

`addDatabaseListener, addWeakDatabaseListener, cancelEvent, countEvents, createBlobForInput, createBlobForInput, createBlobForInput, createBlobForOutput, createBlobForOutput, createBlobForOutput, createBlobParameterBuffer, createEventHandle, createTransactionParameterBuffer, emptyRowDescriptor, getConnectionDialect, getConnectionProperties, getDatabaseDialect, getDatabaseInfo, getDatabaseInfo, getHandle, getOdsMajor, getOdsMinor, getOdsVersion, queueEvent, removeDatabaseListener`

### Methods inherited from interface org.firebirdsql.gds.ng.wire.FbWireAttachment

`getWireOperations, getXdrStreamAccess, readGenericResponse`

### Methods inherited from interface org.firebirdsql.gds.ng.wire.FbWireDatabase

`completeDeferredActions, consumePackets, enqueueDeferredAction, getInfo, readResponse, readSqlResponse`

## Constructor Details

### V11Database

protected V11Database(WireDatabaseConnection connection, ProtocolDescriptor descriptor)
Creates a V11Database instance.

Parameters:
  `connection` - A WireConnection with an established connection to the server.
  `descriptor` - The ProtocolDescriptor that created this connection (this is used for creating further dependent objects).

## Method Details

### releaseObject

public void releaseObject(int operation, int objectId) throws SQLException
Description copied from interface: `FbWireDatabase`
Release object.

Specified by:
  `releaseObject` in interface `FbWireDatabase`
Overrides:
  `releaseObject` in class `V10Database`
Parameters:
  `operation` - Operation
  `objectId` - ID of the object to release
Throws:
  `SQLException`